/*
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 * 
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *          http://www.eclipse.org/legal/epl-v10.html
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.fleet.model;

import java.util.List;
import org.netbeans.api.project.Project;

/**
 * This interface expresses the ability to find all machines of a certain
 * (farm) project. Implement this interface to create a class capable of 
 * returning a list containing all the specific machines of a project.
 * @author Maciek Dulkiewicz <maciek.dulkiewicz@ordina.nl>
 */
public interface MachineProvider {
    
    public List<Machine> findAll(Project project);
    
}
